Has Anyone Been Able To Play Shin Megami Tensei IV: Final Using Homebrew?

Discussion in '3DS - Homebrew Development and Emulators' started by warmachine2020, Mar 22, 2016.

  1. warmachine2020
    OP

    warmachine2020 Newbie

    Newcomer
    4
    1
    Mar 22, 2016
    United States
    Hello;

    I currently have a 2DS running 9.2.0-20U. I have installed menuhax and accessed the homebrew launcher, however, neither hans or region free launcher have been able to play SMT IV:Final. So I'm wondering if it's even possible at all to play it? I don't want to think that I wasted $56 on a game that I can't even play, but it's starting to look like I have. I would appreciate any input anyone may have. Thanks for your time.
     
  2. ongo_gablogian

    ongo_gablogian GBAtemp Regular

    Member
    187
    128
    Mar 26, 2010
    United States
    Yes, I have the CIA file installed and it's running great on my n3DS fw 10.7 with A9LH+Cakes. A possible reason why it might not be working is the game could require a higher firmware than you currently have on your 3DS. Do you have a custom firmware or just menuhax? If you have a custom firmware there are two things that you can try. If you don't have one installed, do it. Plailect's guide on github is the way to go and it's really simple to follow.

    - Try dumping the cart, do FW/Region spoof, and install it as a CIA.

    - If you have arm9loaderhax the easiest route would be installing the "patched homemenu" by ihaveamac. That way you could run the game right off the 3DS homemenu.
     
  3. Tomato Hentai

    Tomato Hentai baja boner blast

    Member
    3,751
    6,113
    Oct 30, 2014
    Canada
    actually north korea. please send help
    I think that if this person had the ability to install CIAs, they would've done so already instead of using Homebrew.

    Have you tried just the region free loader or have you also tried HANS? Sometimes games that don't work using the region free loader work in HANS, and vice versa.
     
  4. Manuel9181

    Manuel9181 GBAtemp Prosecutor

    Member
    345
    98
    May 26, 2015
    Italy
    If he has already a CFW installed he just need to update his emuNand (or sysNand if a9lh+AuReiNand with the updatedsysNand flag) via system settings, nothing less nothing more.
     
  5. ongo_gablogian

    ongo_gablogian GBAtemp Regular

    Member
    187
    128
    Mar 26, 2010
    United States
    I assumed he didn't, that's why I suggested installing one and linked Plailect's guide. I believe the game requires fw 10.5 or higher.
     
    Tomato Hentai likes this.
  6. warmachine2020
    OP

    warmachine2020 Newbie

    Newcomer
    4
    1
    Mar 22, 2016
    United States
    Thank you so much for your reply! I do have custom firmware installed. I have created an EmuNAND using rxtools 2.5, but it appears that is an old method. I tried to update my EmuNAND, to the latest firmware, but I only get a black screen. I'm guessing because I need rxtools 3.0? I'm a noob to be honest. I used this guide to install emunand and upgrade to 9,2.0 https://gbatemp.net/threads/tutorial-installing-rxtools-custom-firmware-3ds-and-2ds.390867/

    — Posts automatically merged - Please don't double post! —

    It's that simple?

    — Posts automatically merged - Please don't double post! —

    I do have a CIA installer, but I'm not sure how to update my EmuNAND successfully. I got a blackscreen when I did it.
     
    Tomato Hentai likes this.
  7. Tomato Hentai

    Tomato Hentai baja boner blast

    Member
    3,751
    6,113
    Oct 30, 2014
    Canada
    actually north korea. please send help
    I had the same issue when updating from 9.2. I fixed it by installing the 10.3 CIAs using sysUpdater, then updating to 10.4 (which was the latest at the time IIRC) through System Settings.
     
    Last edited by Tomato Hentai, Mar 22, 2016
  8. warmachine2020
    OP

    warmachine2020 Newbie

    Newcomer
    4
    1
    Mar 22, 2016
    United States
    Thanks for the tip. So just to clarify, I should upgrade from 9.2.0-20U to 10.4 and that should help EmuNAND be able to update?
     
  9. Tomato Hentai

    Tomato Hentai baja boner blast

    Member
    3,751
    6,113
    Oct 30, 2014
    Canada
    actually north korea. please send help
    You can upgrade to any firmware, I just went to 10.3 because I already had the CIAs for it downloaded, and was too lazy to get the 10.4 CIAs.
     
  10. warmachine2020
    OP

    warmachine2020 Newbie

    Newcomer
    4
    1
    Mar 22, 2016
    United States
    Thanks. I installed the game as a .cia, and I got it to work.